Package Gnumed :: Package wxpython :: Module gmExceptionHandlingWidgets |
[frames] | no frames]

# Module gmExceptionHandlingWidgets

source code

GNUmed exception handling widgets.

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cUnhandledExceptionDlg

Functions
set_client_version(version) | source code
set_sender_email(email) | source code
set_helpdesk(helpdesk) | source code
set_staff_name(staff_name) | source code
set_is_public_database(value) | source code
handle_uncaught_exception_wx(t, v, tb) | source code
install_wx_exception_handler() | source code
uninstall_wx_exception_handler() | source code
mail_log(parent=None, comment=None, helpdesk=None, sender=None) | source code

Variables
| application_is_closing = `False`
| __package__ = ``'``Gnumed.wxpython``'``

Imports: logging, exceptions, traceback, regex, sys, os, shutil, pyDT, wx, gmDispatcher, gmCfg2, gmI18N, gmLog2, gmPG2, gmExceptions, gmNetworkTools, u_box_horiz_single, gmPraxis, gmGuiHelpers, wxgUnhandledExceptionDlg